use std::sync::Arc;
use serde::{Deserialize, Serialize};
use crate::repo::pokemon::Repository;

#[derive(Serialize)]
struct Response{
    message: String,
}
#[derive(Deserialize)]
struct Request {
    number: u16,
    name: String,
    types: Vec<String>,
}

pub fn serve(repo: Arc<dyn Repository>, req: &rouille::Request) -> rouille::Response {
    // rouille::Response::text("Got you!")
    // rouille::Response::json(&Response{
    //     message: "Got me!".to_string(),
    // })
    match rouille::input::json_input::<Request>(req) {
        Ok(_) => rouille::Response::json(&Response{
            message: "Got json".to_string()
        }),
        _ => return rouille::Response::from(rouille::Response::empty_400())
    }
}