use std::sync::Arc;
use rouille::router;
use crate::repo::pokemon::Repository;

mod health;


pub fn serve(url: &str, repo: Arc<dyn Repository>) {
    rouille::start_server(url, move |req| {
        router!(req,
            (POST)(/health) => {
                health::serve(repo.clone(), req)
        },
            _ => {
                rouille::Response::from(rouille::Response::empty_404())
            }
        )
    });
}